const EXPORTED_SYMBOLS = ['MigreMeObservers'];

function MigreMeObservers(chromeWnd) {

  var onLoad = function(evt) {
    var onUnload = function(evt) {
      chromeWnd.removeEventListener('unload', onUnload, false);
      chromeWnd.document.removeEventListener('popupshowing', onpopupshowing, false);
    }

    chromeWnd.removeEventListener('load', onLoad, false);
    chromeWnd.addEventListener('unload', onUnload, false);
    chromeWnd.document.addEventListener('popupshowing', onpopupshowing, false);
  };


  var onpopupshowing = function(evt) {
    if (evt.originalTarget.tagName === 'tooltip') {
      return;
    }
    switch (evt.originalTarget.localName) {
      case 'menupopup':
      case 'popup':
        break;
      case 'tooltip':
      default:
        return;
    }

    Components.utils.import("resource://migre-me-hultmann-modules/app.js");
    popupCore(evt.originalTarget, evt.target.id, chromeWnd.document);
  };


  chromeWnd.addEventListener('load', onLoad, false);
}
